<template lang="html">
  <button class="button" @click.stop="saveLabel">Export Labels</button>
</template>

<script>
export default {
  computed: {
    images() {
      return this.$store.state.images._items.filter(i => i.labels)
    }
  },
  methods: {
    saveLabel() {
      function download(content, filename, contentType) {
        var a = document.createElement('a'),
          file = new Blob([content], {type: contentType})
        a.href = URL.createObjectURL(file)
        a.download = filename
        a.click()
      }
      var data = []
      for (var i = 0; i < this.images.length; i++) {
        data.push({
          filename: this.images[i].filename,
          labels: this.images[i].labels
        })
      }
      download(JSON.stringify(data), 'backup', 'application/json')
    }
  }
}
</script>

<style lang="scss">
</style>
